com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingTextFieldPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingTextComponentPeer
    - - com.creamtec.ajaxswing.gui.peer.AjaxSwingTextFieldPeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.TextComponentPeer, java.awt.peer.TextFieldPeer

      public class AjaxSwingTextFieldPeer
      extends AjaxSwingTextComponentPeer
      implements java.awt.peer.TextFieldPeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingTextFieldPeer(java.awt.Component target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `createDelegate()`
    `java.awt.Dimension` | `getMinimumSize(int columns)` Have to provide implementation for this method so that AWT components can be properly sized by the layout manager
    `java.awt.Dimension` | `getPreferredSize(int columns)` Have to provide implementation for this method so that AWT components can be properly sized by the layout manager
    `java.awt.Dimension` | `minimumSize(int cols)`
    `java.awt.Dimension` | `preferredSize(int cols)`
    `void` | `setEchoChar(char echoChar)`
    `void` | `setEchoCharacter(char c)`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingTextComponentPeer

      `filterEvents, getCaretPosition, getCharacterBounds, getIndexAtPoint, getInputMethodRequests, getSelectionEnd, getSelectionStart, getText, isFocusable, select, setCaretPosition, setEditable, setText`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, hide, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, show, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.TextComponentPeer

      `getCaretPosition, getInputMethodRequests, getSelectionEnd, getSelectionStart, getText, select, setCaretPosition, setEditable, setText`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingTextFieldPeer

          public AjaxSwingTextFieldPeer(java.awt.Component target)

  - ### Method Detail

    - #### createDelegate

          public javax.swing.JComponent createDelegate()

      Overrides:
        `createDelegate` in class `AjaxSwingComponentPeer`

    - #### setEchoChar

          public void setEchoChar(char echoChar)

      Specified by:
        `setEchoChar` in interface `java.awt.peer.TextFieldPeer`

    - #### setEchoCharacter

          public void setEchoCharacter(char c)

    - #### preferredSize

          public java.awt.Dimension preferredSize(int cols)

    - #### minimumSize

          public java.awt.Dimension minimumSize(int cols)

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize(int columns)

      Have to provide implementation for this method so that AWT components can be properly sized by the layout manager
      Specified by:
        `getPreferredSize` in interface `java.awt.peer.TextFieldPeer`

    - #### getMinimumSize

          public java.awt.Dimension getMinimumSize(int columns)

      Have to provide implementation for this method so that AWT components can be properly sized by the layout manager
      Specified by:
        `getMinimumSize` in interface `java.awt.peer.TextFieldPeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.